%global modulename external-editor

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-external-editor
Version:        3.0.3
Release:        1%{?dist}
Summary:        Edit a string with the users preferred text editor using $VISUAL or $ENVIRONMENT

License:        MIT
URL:            https://github.com/mrkmg/node-external-editor#readme
Source0:        https://registry.npmjs.org/external-editor/-/external-editor-3.0.3.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(chardet) >= 0.7.0 with npmlib(chardet) < 0.8.0))
BuildRequires:  ((npmlib(iconv-lite) >= 0.4.24 with npmlib(iconv-lite) < 0.5.0))
BuildRequires:  ((npmlib(tmp) >= 0.0.33 with npmlib(tmp) < 0.0.34))

Requires:       npmlib(%{modulename}) = %{version}

%description
Edit a string with the users preferred text editor using $VISUAL or $ENVIRONMENT

%package 3.0.3
Summary:        Edit a string with the users preferred text editor using $VISUAL or $ENVIRONMENT


%description 3.0.3
Edit a string with the users preferred text editor using $VISUAL or $ENVIRONMENT

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr example_async.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr example_sync.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr main %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 3.0.3
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Mon Nov 19 2018 npm2srpm <dshea@redhat.com> - 3.0.3-1
- Package automatically generated by npm2srpm
